/// <reference types="react" />
import * as React from 'react';
export interface Tab {
    name: string;
    selected: boolean;
}
export interface IProps extends HeaderProps {
    tabs: Tab[];
    onChange: (to: Tab) => void;
}
export interface HeaderProps extends React.Props<any> {
    title: string;
    actions?: JSX.Element | JSX.Element[];
}
export interface IState {
    slide_in_from: "Left" | "Right";
}
export declare class PivotTabs extends React.Component<IProps, IState> {
    constructor(props: IProps);
    state: IState;
    /**
     * A flag which tells the render method whether this component has mounted yet, without setting off another render when the value changes.
     */
    private hasMounted;
    componentDidMount(): void;
    private componentWillReceiveProps(nextProps);
    private handleTabClick(e, tab);
    render(): JSX.Element;
}
/**
 * A Pivot component without the pivoting tabs. Use it to keep a clear theme across your apps, even on pages that don't use the Pivot.
 */
export declare function Header(props: HeaderProps): JSX.Element;
export default PivotTabs;
