"use strict";
const React = require("react");
const Classes = require("classnames");
class PivotTabs extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            slide_in_from: undefined,
        };
    }
    componentDidMount() {
    }
    componentWillReceiveProps(nextProps) {
        const lastIndex = this.props.tabs.findIndex(tab => !!tab.selected);
        const newIndex = nextProps.tabs.findIndex(tab => !!tab.selected);
        //If last tab comes after new tab, slide in from right. Else, default to slide in from left.
        this.setState({
            slide_in_from: lastIndex < newIndex ? "Right" : "Left"
        });
    }
    handleTabClick(e, tab) {
        e.preventDefault();
        if (tab.selected) {
            return;
        }
        this.props.onChange(tab);
    }
    render() {
        const selected = this.props.tabs.find(t => t.selected);
        const tabs = this.props.tabs.map(tab => React.createElement("div", { key: `pivot-tab-${tab.name}`, className: Classes("pivot-tab", { active: !!tab.selected }) },
            React.createElement("button", { onClick: e => this.handleTabClick(e, tab) }, tab.name)));
        const animationCss = {
            animated: !!this.state.slide_in_from,
            slideInLeft: this.state.slide_in_from === "Left",
            slideInRight: this.state.slide_in_from === "Right",
        };
        return (React.createElement("div", { className: "pivot-tabs" },
            React.createElement("div", { className: "pivot-header" },
                React.createElement("h3", { className: "pivot-header-title" }, this.props.title),
                React.createElement("div", { className: "pivot-header-actions" }, this.props.actions)),
            React.createElement("div", { className: "pivot-tabs-container" }, tabs),
            React.createElement("div", { className: Classes("pivot-content", animationCss), key: selected.name }, this.props.children)));
    }
}
exports.PivotTabs = PivotTabs;
